import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:quickcapture/quickcapture.dart';

void main() {
  runApp(const MyApp());
}

typedef MyCallback = void Function(String result);

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  final _quickcapturePlugin = Quickcapture();

  @override
  void initState() {
    super.initState();
  }

  Future<String?> startCapture() async {
    String? response = await _quickcapturePlugin.startCapture();
    return response;
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('QuickCapture sample'),
        ),
        body: Center(
          child: ElevatedButton(
            onPressed: () => {startCapture()},
            child: const Text("Start capture"),
          ),
        ),
      ),
    );
  }
}
